Cannot compile projects after upgrading to Xcode 4.6.2

Hi,

I updated Xcode this morning (version 4.6.2) and right now, I cannot compile my projects.

Error: A valid Xcode installation could not be found. If your copy of Xcode is installed to a non-standard prefix, please specify the location in Xamarin Studio's Preferences under 'SDK Locations'

I checked that SDK Locations are good but still same problem.

Any ideas to solve this problem ?

Thanks in advance

Posts

  • TomonobuGondoTomonobuGondo JPMember

    I have same issue.

  • OlgaSteidlOlgaSteidl CHMember

    The same to me

  • Same issue any news about it ?

  • JonCortezJonCortez USUniversity ✭✭

    I am also seeing the same issue. I also noticed the following:

    1. When double-clicking any .xib or .storyboard files, it gets opened now as XML files and not in IB.
    2. The list of simulators is gone from the drop-down for debugging.
  • DenisMillerDenisMiller RUMember

    Same thing

  • alexstalkeralexstalker USMember

    removing XCode 4.6.2 and installing XCode 4.6.1 worked for me.

  • TouficGHORAYEBTouficGHORAYEB FRMember

    Same thing

  • StephaneCordonnierStephaneCordonnier FRMember ✭✭

    Removing 4.6.2 and reinstalling 4.6.1 solved the problem.

  • HaDuyenHoaHaDuyenHoa USMember

    Me too. Thanks :)

  • a-marina-marin ROMember

    hi, i cannot find xcode 4.6.1 in the list. the newest i can see is 3.2

    can anyone help?

  • Bob_ReckBob_Reck USMember ✭✭✭

    Thanks Chris!

  • DirkoSwanepoelDirkoSwanepoel ZAMember
    edited April 2013

    @chrisntr is this a XCode issue, or is it an issue with MonoDevelop that will be fixed in a future release?

  • OlgaSteidlOlgaSteidl CHMember
    edited April 2013

    The problem that new Xcode has got new structure of App and Mono as I understand will be updated to work with new version.

  • GregoryHillGregoryHill USMember

    How quickly will this patch be made available? I'd really like to work with the Xamarin examples, but don't want to regress back to Xcode 4.6.1.

  • GregoryHillGregoryHill USMember

    And is it possible to direct the current version of Xamarin to look in the right place?

  • NikitaPshenovNikitaPshenov THMember
    edited April 2013

    I went to https://developer.apple.com/downloads/index.action but cannot find anything beyond xcode 3.2. Where is xcode 4.6.1?

    PS - I am a Mac noob and frankly I hate it.

  • AbooAboo USMember

    Same problem here. Downloading XCode 4.6.1 :S

  • siancusiancu CHMember

    @NikitaPshenov it's right there, in the list, the 10th entry.

  • AbooAboo USMember

    After replacing the new XCode with the old one the issue is solved.

  • I have the same issue. Do you have to have a paid developeraccount to see the 4.6.1 version of Xcode?

  • siancusiancu CHMember

    I don't think so. I logged in with one of my old Apple IDs which is for sure not a paid account and I can see it. I guess you need a valid Apple ID.

  • NikitaPshenovNikitaPshenov THMember

    But I do have a valid Apple ID...

  • CraigJohnsonCraigJohnson USMember

    I have experienced the same issue. My free developer account (that I just created last night) has no recent versions of xcode available. Checked my coworkers paid account and the versions were there.

  • ChrisHardyChrisHardy GBForum Administrator, Xamarin Team Xamurai

    We just released Xamarin Studio 4.0.4 with support for Xcode 4.6.2, this is on the stable channel so you should get that through the updater.

  • siancusiancu CHMember

    @chrisntr will there be a new version on the alpha channel as well? I wanted to check out the new stuff announced at Evolve.

  • Is it possible, that the new Version of Xamarin Studio on Mac respectively the buildserver doesn't work with the MonoVS Tools?

  • JeremyKolbJeremyKolb USMember ✭✭✭

    Unfortunately Visual Studio needs the change as well.

  • GregoryDouguetGregoryDouguet FRMember
    edited April 2013

    Still have build server problem with Xamarin Studio 4.0.4

  • DaddoonDaddoon FRMember ✭✭

    Yes, Xamarin Studio 4.0.4 with Xcode 4.6.2 doesn't work with Visual Studio...I mean, it say that this is unreachable (and in detail, say that files are differents from the mac server).

    I think there is a missing update for Visual Studio installation ?
    Keep up the good work !

  • DanielNordmarkDanielNordmark SEMember ✭✭

    chrisntr, now you only need to fix all problems with the updates in Xamarin Studio. Please see this thread, http://forums.xamarin.com/discussion/2290/xamarin-update-error-retrieving-update-information#latest

  • Hmm .. according to the about dialog I'm on Version 4.0.4 (Build 2) on the Mac but mtbserver is still crashing with the error "Error loading Xcode information for prefix '/Applications/Xcode.app/Contents/Developer'"

  • RTCarpenterRTCarpenter USMember

    Seeing the same problem with this:

    Xamarin Studio
    Version 4.0.8 (build 2)
    ...finds...
    Apple Developer Tools
    Xcode 4.6.2 (2067.2)
    Build 4H1003

    BUT:

    MonoDevelop 3.1.1

    Runtime:
    Mono 2.10.12 (mono-2-10/c9b270d)

    Apple Developer Tools:
    (Not Found)

    Monotouch: 6.2.7.1

    Build information:
    Release ID: 30101000
    Git revision: 5d928ec4f9d5864b4db04a1301b8a8649b43fb9d
    Build date: 2012-12-14 19:11:30+0000
    Xamarin addins: 80f2dcc8fe4ed316b3e77dde496fc33d90305047
    Operating System:
    Mac OS X 10.8.4
    Darwin rtc-macbook.local 12.4.0 Darwin Kernel Version 12.4.0

    Has Xamarin dropped MonoDevelop in favor of Studio at this point?

  • JeffreyStedfastJeffreyStedfast USXamarin Team Xamurai

    MonoDevelop was renamed to Xamarin Studio

Sign In or Register to comment.